mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.SymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

uses three successive iterations of the algorithm. It can use either two or three 56-bit keys.

A newer symmetric encryption algorithm, Advanced Encryption Standard (AES), is available. Consider using the class and its derived classes instead of the class. Use only for compatibility with legacy applications and data.

This algorithm supports key lengths from 128 bits to 192 bits in increments of 64 bits.

Represents the base class for Triple Data Encryption Standard algorithms from which all implementations must derive.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  You cannot create an instance of an abstract class. Application code will create a new instance of a derived class.

  This method initializes the protected fields of the class to the default values listed in the following table.

  Field

  Default Value

  192

  64

  64

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.TripleDES

  Creates a new instance of the class.

  Creates an instance of a cryptographic object to perform the algorithm.

  An instance of a cryptographic object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.TripleDES `` To be added

  Creates an instance of a cryptographic object to perform the specified implementation of the algorithm.

  An instance of a cryptographic object.

  The name of the specific implementation of to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  Weak keys are keys that result in ciphers that are easy to break. If text is encrypted with a weak key, encrypting the resulting cipher again with the same weak key returns the original text. In 128-bit mode, if the first 64 bits are the same as the last 64 bits, the key is weak. In 192-bit mode, if the first 64 bits are the same as the second 64 bits or if the second 64 bits are the same as the last 64 bits, the key is weak.

  Attempting to set a weak key results in a . When is called to create a random key, a weak key will never be returned.

  Determines whether the specified key is weak.

  true if the key is weak; otherwise, false.

  The secret key to test for weakness.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] To be added.

  This algorithm supports key lengths from 128 bits to 192 bits in increments of 64 bits.

  Gets or sets the secret key for the algorithm.